Skip to main content
Version: 2.3.0

Send document process

Updated date: 18/08/2026
Updated by: VNPT eContract's team


Purpose​

The function performs sending the document processing workflow to the recipients in the previously updated workflow.

  • Request URL: /api/documents/send-process
  • HTTP method: POST
  • Authorize: Bearer token
  • Parameter:
KeyTypeDescription
idstring[Required] Id of document

Sample request​

Id of document needs to send process:
id: d83812e9-1a93-4872-fce3-08dad8f7f8b6
Request: /api/documents/send-process/d83812e9-1a93-4872-fce3-08dad8f7f8b6

Sample response body​

{
"data": {
"id": "73f4e64c-521e-457f-013f-08dad829ec1c",
"createdDate": "2022-12-07T15:06:17.9285943",
"lastModifiedDate": "2022-12-07T16:16:44.9227137+07:00",
"no": "177667",
"subject": "Create document via API",
"hasVerified": false,
"hasSeal": false,
"requireVerifiedUserSigning": false,
"status": {
"value": 2,
"description": "Ready"
},
"contractStatus": {
"value": 0,
"description": "Undefined"
},
"description": "Create sample document via API",
"createdByUserId": 2341,
"processRecipientCount": 2,
"waitingProcess": {
"id": "04434de3-4bd4-4576-b6df-08dad82a185b",
"createdDate": "2022-12-07T15:07:33.5124667",
"comId": 164,
"isOrder": false,
"orderNo": 2,
"pageSign": 0,
"displayType": {
"value": 0,
"description": "0"
},
"accessPermission": {
"value": 2,
"description": "Sign draw"
},
"status": {
"value": 1,
"description": "Waiting"
},
"processedByUserId": 2341,
"documentId": "73f4e64c-521e-457f-013f-08dad829ec1c"
},
"processInOrder": true,
"isWaitToSignDraw": true,
"isWaitToSignDigital": false,
"isWaitToApprove": false,
"isWaitToFillData": false,
"isWaitToCoordinate": false,
"isWaitToESign": false,
"isWaitToEkyc": false,
"isFillable": false,
"downloadUrl": "{HOST}/Api/Download?token=..."
},
"success": true,
"code": 0,
"messages": [
"Send to recipient success"
]
}

Response Body Description​

KeyTypeDescription
successbooleanResponse status (true: Success, false: Failure)
codeintResponse code from the system
messagesarrayList of messages or errors returned by the system (e.g., ["Send to recipient success"])
dataobjectObject containing information about the document after successfully sending the process (see details)

Common Errors​

MessageDescription
Document not foundThe document code does not exist
Only creator can update this documentThe document code provided does not belong to the creator
Cannot send the document process in the 'Ready' statusOnly documents in the New status can be sent